- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QSizeGrip Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qsizegrip.h.

`#include <qsizegrip.h>`

Inheritance diagram for QSizeGrip:
[legend]

List of all members.

## Public Member Functions
| QSizeGrip (QWidget *parent)
| ~QSizeGrip ()
QSize | sizeHint () const
void | setVisible (bool)
## Protected Member Functions
void | paintEvent (QPaintEvent *)
void | mousePressEvent (QMouseEvent *)
void | mouseMoveEvent (QMouseEvent *)
void | mouseReleaseEvent (QMouseEvent *mouseEvent)
void | moveEvent (QMoveEvent *moveEvent)
void | showEvent (QShowEvent *showEvent)
void | hideEvent (QHideEvent *hideEvent)
bool | eventFilter (QObject *, QEvent *)
bool | event (QEvent *)

## Constructor & Destructor Documentation

QSizeGrip | ( | QWidget * | parent | ) | `[explicit]`

~QSizeGrip | ( |  | ) |

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void setVisible | ( | bool |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseReleaseEvent | ( | QMouseEvent * | mouseEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void moveEvent | ( | QMoveEvent * | moveEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void showEvent | ( | QShowEvent * | showEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void hideEvent | ( | QHideEvent * | hideEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

The documentation for this class was generated from the following file:

- QtGui/qsizegrip.h

QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip
QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip QSizeGrip